<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>DateTimeFormatConfiguration.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.config</a> &gt; <span class="el_source">DateTimeFormatConfiguration.java</span></div><h1>DateTimeFormatConfiguration.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.format.FormatterRegistry;
import org.springframework.format.datetime.standard.DateTimeFormatterRegistrar;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

@Configuration
<span class="fc" id="L9">public class DateTimeFormatConfiguration extends WebMvcConfigurerAdapter {</span>

    @Override
    public void addFormatters(FormatterRegistry registry) {
<span class="fc" id="L13">        DateTimeFormatterRegistrar registrar = new DateTimeFormatterRegistrar();</span>
<span class="fc" id="L14">        registrar.setUseIsoFormat(true);</span>
<span class="fc" id="L15">        registrar.registerFormatters(registry);</span>
<span class="fc" id="L16">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>